package com.ningdatech.pmapi.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;

/**
 * <p>
 * 
 * </p>
 *
 * @author Poffy
 * @since 2023-02-13
 */
@TableName("nd_project_inst")
@ApiModel(value = "NdProjectInst对象", description = "")
public class ProjectInst implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private Long projectId;

    private String instCode;

    private LocalDateTime creatOn;

    private LocalDateTime updateOn;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }
    public String getInstCode() {
        return instCode;
    }

    public void setInstCode(String instCode) {
        this.instCode = instCode;
    }
    public LocalDateTime getCreatOn() {
        return creatOn;
    }

    public void setCreatOn(LocalDateTime creatOn) {
        this.creatOn = creatOn;
    }
    public LocalDateTime getUpdateOn() {
        return updateOn;
    }

    public void setUpdateOn(LocalDateTime updateOn) {
        this.updateOn = updateOn;
    }

    @Override
    public String toString() {
        return "NdProjectInst{" +
            "id=" + id +
            ", projectId=" + projectId +
            ", instCode=" + instCode +
            ", creatOn=" + creatOn +
            ", updateOn=" + updateOn +
        "}";
    }
}
